<!-- <ion-header>
  <ion-toolbar >
    <ion-title class="title" color="secondary"></ion-title>
  </ion-toolbar>
</ion-header> -->


<ion-content class="bgimg" padding>

  <div class="logo">
    <img src="assets/novalogo.png" width="40%">
  </div>

  

  <form [formGroup]="loginForm" (ngSubmit)="onSubmit()" >

    <ion-row justify-content-center align-items-center>

        <!-- <div class="usericon">
            <img src="../../assets/usericon.png">
          </div> -->

      <ion-card class="inputfield">

        

        <ion-list no-lines class="inputfield1">
            
          <div text-center>
            <h4 class="login" >WELCOME</h4>
          </div>

         
          <div >
             <ion-item class="uname"  >
                <ion-icon name="person" ></ion-icon>
                <ion-input formControlName="username" type="text" placeholder="Enter id" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.username.errors }" clearInput ></ion-input>
             </ion-item>

             <div *ngIf="submitted && f.username.errors" class="invalid-feedback ">
               <div class="ureq" *ngIf="f.username.errors.required "><span ><ion-icon name="alert"></ion-icon>User id is required</span></div>
             </div>
          </div>


          <div>
             <ion-item class="pwd">
                <ion-icon name="lock"></ion-icon>
                   <ion-input formControlName="password" [type]="passwordType"  placeholder="password" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.password.errors }" ></ion-input>
                <ion-icon class="eyeicon" [name]="passwordIcon" (click)='hideShowPassword()'></ion-icon>
            </ion-item>
          
             <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
                <div class="preq" *ngIf="f.password.errors.required" color="alert-danger"
                ><span ><ion-icon name="alert"></ion-icon>Password is required</span></div>
             </div>
          </div>


          <div class="checkbox">
            <!-- <ion-item class="checkbox1">
               <ion-checkbox color="secondary"></ion-checkbox>
               <ion-label class="checkboxtext">Remember me</ion-label>
            </ion-item> -->
          </div>

          <div class= "button form-group" >
              <ion-button type="submit" (click)="getAll"  shape="round" color="secondary" class="submit" >Login<ion-icon name="log-in"></ion-icon></ion-button>
           </div>

        </ion-list>

        
          <div *ngIf="error" color="danger">{{error}}</div>

      </ion-card>

    </ion-row>

  </form>


  

</ion-content>